Counterpartiesv1Counterparty Bank Accounts
Create counterparty bank account
Creates a recipient-backed bank account linked to an existing counterparty. Parent counterparty update access is required.
POST
/v1/counterparties/bank-accountsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/counterparties/bank-accounts" \ -H "Content-Type: application/json" \ -d '{ "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd", "iban": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",
"cp_account_id": "eb064395-4075-439f-a7b1-d660c0883425",
"iban": "string",
"bic": "string",
"bank": "string",
"intermediate_bic": "string",
"intermediate_bank": "string",
"intermediate_route": "string",
"is_primary": true,
"is_validated": true,
"active": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"modified_at": "2019-08-24T14:15:22Z",
"modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
"metadata": {},
"products_allowed": [
{
"id": "8f2a1c3d-4e5b-6f7a-8b9c-0d1e2f3a4b5c",
"code": "OWT",
"name": "Outbound Wire Transfer",
"description": "Send funds to external bank accounts via wire transfer.",
"type": "transfers",
"route": "payment",
"icon": "arrow-up-right"
}
],
"counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd"
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}